let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-22.05";
    rev = ''
      c5091eec689acc45d4d818109236da31d3685ca2'';
  };

in {
  inherit nixpkgs;
  nixos = nixpkgs // { suffix = "/nixos"; };
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = ''
      5f588eb4a958f1a526ed8da02d6ea1bea0047b9f'';
  };
  "channels-nixos-unstable-small" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable-small";
    rev = ''
      fc07622617a373a742ed96d4dd536849d4bc1ec6'';
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = ''
      b8e83fd7e16529ee331313993508c3bf918f1d57'';
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-22.05";
    rev = ''
      6639e3a837fc5deb6f99554072789724997bc8e5'';
  };
}
